package routes

import (
	"git.espin.casa/albert/cml04-mediciones/internal/client"
	"git.espin.casa/albert/cml04-mediciones/internal/handlers"
	"github.com/julienschmidt/httprouter"
)

func CreateRoutes(r *httprouter.Router, client client.IMediciones) {
	r.GET("/", handlers.IndexHandler(client))
	r.GET("/mediciones/view", handlers.MedicionesViewHandler(client))
	r.POST("/medicion/create", handlers.MedicionCreateHandler(client))
	r.POST("/mediciones/get", handlers.MedicionesGetHandler(client))
	r.POST("/tolerance/get", handlers.TolerancesGetHandler(client))
	r.GET("/vista/get", handlers.VistasGetHandler(client))
	r.GET("/po/list", handlers.OrdenesProduccionListHandler(client))
	r.GET("/po/get/:po", handlers.OrdenProduccionHandler(client))
	r.POST("/report/get", handlers.ReportHandler(client))
}
